notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
pecl-APCu4 APC User Caching
4.0.11_1 devel Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port 4.0.11Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Works only with EOL php 5.6
Expired This port expired on: 2018-12-30
Maintainer: joneum@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2017-02-12 08:24:19
Last Update: 2019-01-01 13:52:46
SVN Revision: 488894
License: PHP301
Description:
SVNWeb : Homepage

There is no configure plist information for this port.

Dependency lines:
  • php56-pecl-APCu>0:devel/pecl-APCu4
Conflicts:
CONFLICTS_INSTALL:
  • pecl-APC
Conflicts Matches:
There are no Conflicts Matches for this port. This is usually an error.
No installation instructions: this port has been deleted.
The package name of this deleted port was:
PKGNAME: php56-pecl-APCu
Flavors: there is no flavor information for this port.
distinfo:

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. phpize : lang/php56
  2. autoconf>0 : devel/autoconf
Runtime dependencies:
  1. php.h : lang/php56
There are no ports dependent upon this port

Configuration Options

USES:

Master Sites:
  1. http://pecl.php.net/get/
Port Moves
  • port moved to devel/pecl-APCu on 2019-01-01
    REASON: Has expired: Works only with EOL php 5.6

Number of commits found: 11

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
01 Jan 2019 13:52:46
Original commit files touched by this commit  4.0.11_1
Revision:488894  Sanity Test Failure
rene search for other commits by this committer
Remove expired ports:
2018-12-30 textproc/pecl-xdiff: Works only with EOL php 5.6
2019-01-01 www/mod_http2-devel: Use the module that is shipped with Apache 2.4
2019-01-01 www/varnish5: Varnish 5 is Retired
2018-12-30 security/pecl-ssh2-0: Works only with EOL php 5.6
2019-01-01 security/bitwarden-ruby: Expects very specific rubygem versions for
new updates. Please follow instructions in git repo.
2018-12-30 devel/pecl-intl: Works only with EOL php 5.6
2018-12-30 devel/pecl-APCu4: Works only with EOL php 5.6
2018-12-30 databases/pecl-memcache: Works only with EOL php 5.6
2018-12-30 databases/pecl-memcached2: Works only with EOL php 5.6
2018-12-30 math/pecl-bitset2: Works only with EOL php 5.6
2019-01-01 multimedia/zoneminder-h264: h264 feature was commited to main branch,
please upgrade to www/zoneminder
2019-01-01 lang/php56: Security Support ends on 31 Dec 2018
06 Dec 2018 11:22:12
Original commit files touched by this commit  4.0.11_1
Revision:486751
rene search for other commits by this committer
Remove version 7.0 from the IGNORE_WITH_PHP list.
02 Dec 2018 17:43:34
Original commit files touched by this commit  4.0.11_1
Revision:486473
antoine search for other commits by this committer
Deprecate ports depending on php 5.6
21 Nov 2018 12:41:57
Original commit files touched by this commit  4.0.11_1
Revision:485511
joneum search for other commits by this committer
Take Maintainership

Approved by:	johnpupu@gmail.com (maintainer, via eMail)
Sponsored by:	Netzkommune GmbH
08 Oct 2018 15:08:13
Original commit files touched by this commit  4.0.11_1
Revision:481545
antoine search for other commits by this committer
Fix some PKGNAME collisions
08 Mar 2018 19:48:41
Original commit files touched by this commit  4.0.11_1
Revision:463917
mat search for other commits by this committer
Introduce PHP flavors.

  Ports using USES=php:phpize, php:ext, php:zend, and php:pecl are now
  flavored.  They will automatically get flavors (php56, php70, php71, php72)
  depending of the versions they support (set with IGNORE_WITH_PHP).  As a
  consequence, ports using USES=pear and USES=horde are also flavored.

PR:		226242
Submitted by:	mat
Exp-run by:	antoine
Approved by:	portmgr
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D14208
14 Dec 2017 13:57:29
Original commit files touched by this commit  4.0.11_1
Revision:456296
tz search for other commits by this committer
Add missing IGNORE_WITH_PHP for various pecl-ports.

After testing every pecl-* port with PHP 5.6, 7.0, 7.1 and 7.2
i set the IGNORE_WITH_PHP accordingly to the fallout.

PR:          222165
Reported by: brnd
Approved by: portmgr (blanket)
Differential Revision: https://reviews.freebsd.org/D13476
21 Sep 2017 12:17:37
Original commit files touched by this commit  4.0.11_1
Revision:450253
mat search for other commits by this committer
Install the apc.php administration script, so that people do not need to
go and search for it.

PR:		222473
Submitted by:	mat
Approved by:	maintainer
Sponsored by:	Absolight
31 May 2017 17:36:18
Original commit files touched by this commit  4.0.11
Revision:442246
pawel search for other commits by this committer
Fix CONFLICTS lines

Approved by:	blanket approval
10 Apr 2017 15:08:47
Original commit files touched by this commit  4.0.11
Revision:438175
mat search for other commits by this committer
Convert all PECL ports to USES=php:pecl.

Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D10281
12 Feb 2017 08:23:46
Original commit files touched by this commit  4.0.11
Revision:433933
sunpoet search for other commits by this committer
Add pecl-APCu4 (copied from pecl-APCu) and update to 4.0.11

- While I'm here [1]:
  - Add missing PKGNAMESUFFIX
  - Use CONFLICTS_INSTALL instead of CONFLICTS
  - Add PORTSCOUT
  - Use USES=localbase

Changes:	https://pecl.php.net/package-changelog.php?package=APCu
PR:		216969
Submitted by:	John Chen <johnpupu@gmail.com> (maintainer)
Differential Revision:	https://reviews.freebsd.org/D9333 [1]

Number of commits found: 11

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
drm-current-kmod*Dec 04
drm-devel-kmod*Dec 04
drm-fbsd11.2-kmod*Dec 04
drm-fbsd12.0-kmod*Dec 04
py-django21Dec 03
py-django22Dec 03
gitlab-ceNov 28
py-matrix-synapseNov 28
gitlab-ceNov 27
webkit2-gtk3Nov 27
py-urllib3Nov 26
clamavNov 25
unboundNov 23
asterisk13Nov 22
asterisk13Nov 22

13 vulnerabilities affecting 78 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-12-06 20:23:44


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 38197
Broken 745
Deprecated 106
Ignore 1014
Forbidden 3
Restricted 155
No CDROM 72
Vulnerable 26
Expired 6
Set to expire 75
Interactive 0
new 24 hours 6
new 48 hours9
new 7 days28
new fortnight58
new month133

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.